Subject: bug#27217: texlive is too big

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 10 Jan 2019 17:11:52 +0100

Pierre Neidhardt <[email-masked]> writes:

> TeXlive packages are provided "ready to use", they are not meant to be built.
> The .ins/.dtx are only here for potential package contributors or as a source of
> documentation, but when it comes to TeXlive, they are not used to build the
> resulting package.  The .sty is (I think) always parachuted into the SVN
> repository as well.

I don’t think that’s correct.  The .ins/.dtx files contain instructions
for generating files, including the .sty files, which are extracted from
the .dtx files.

> (Actually, sometimes there is no .ins/.dtx, just a .sty.)

Correct.  For some “packages” there’s really just a .sty source file.
But often enough .sty files are generated.

We have both kinds of packages in tex.scm.  Some where the .sty or .tex source
files are copied to the target location and some where the .sty or .tex files
are generated from the .ins/.dtx sources.

Whether a .sty or .tex file is a source file isn’t always obvious, but
sometimes they mention that they are generated from other files.

> More worrisome: some fonts don't provide their source.

For some fonts the provided format *is* the source.

> In fact, some of them
> have confusing licenses, and since the source is missing, I wouldn't call that
> "free software".  But TeXlive is.  That's not very consistent and a lot of FOSS
> TeXlive packages effectively depend on closed-source fonts.

I haven’t found any such cases yet.  Could you show us cases where the
font license makes the font non-free?

>> I don’t see this file in the texlive SVN repository.  Where is it
>> hosted?
>
> It's in Master/tlpkg/texlive.tlpdb.
> Or from CTAN:
> http://mirror.ctan.org/tex-archive/systems/texlive/tlnet/tlpkg/texlive.tlpdb.xz.

Ah, thanks.

-- 
Ricardo